Bug 1270170 - (CVE-2015-5291, CVE-2015-8036) CVE-2015-5291 CVE-2015-8036 polarssl: mbedtls: crash or remote code execution on clients using session tickets or SNI
CVE-2015-5291 CVE-2015-8036 polarssl: mbedtls: crash or remote code execution...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20151005,repo...
: Security
Depends On: 1270171 1270172 1270173
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-09 03:42 EDT by Martin Prpič
Modified: 2016-11-08 10:51 EST (History)
4 users (show)

See Also:
Fixed In Version: PolarSSL 1.2.17, mbed TLS 1.3.14, mbed TLS 2.1.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2015-10-09 03:42:48 EDT
A flaw was found in PolarSSl and mbed TLS:

When the client creates its ClientHello message, due to insufficient bounds checking it can overflow the heap-based buffer containing the message while writing some extensions. Two extensions in particular could be used by a remote attacker to trigger the overflow: the session ticket extension and the server name indication (SNI) extension.

This issue is fixed in PolarSSL 1.2.17 and up, mbed TLS 1.3.14 and up, mbed TLS 2.1.2 and up.

External References:

https://tls.mbed.org/tech-updates/security-advisories/mbedtls-security-advisory-2015-01
Comment 1 Martin Prpič 2015-10-09 03:43:26 EDT
Created mbedtls tracking bugs for this issue:

Affects: fedora-all [bug 1270172]
Affects: epel-all [bug 1270173]
Comment 2 Martin Prpič 2015-10-09 03:43:30 EDT
Created polarssl tracking bugs for this issue:

Affects: fedora-all [bug 1270171]
Comment 4 Fedora Update System 2015-10-23 12:18:58 EDT
mbedtls-1.3.14-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2015-10-23 13:22:28 EDT
mbedtls-1.3.14-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-10-28 11:50:40 EDT
mbedtls-1.3.14-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-10-28 12:25:39 EDT
mbedtls-1.3.14-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-10-29 10:52:57 EDT
mbedtls-1.3.14-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-10-31 22:40:38 EDT
mbedtls-2.1.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Martin Prpič 2015-11-03 03:24:17 EST
Adding a second CVE per MITRE's assignment:

Name: CVE-2015-8036
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-8036
Assigned: 20151102
Reference: http://lists.fedoraproject.org/pipermail/package-announce/2015-October/169625.html

Heap-based buffer overflow in ARM mbed TLS (formerly PolarSSL) 1.3.x
before 1.3.14 and 2.x before 2.1.2 allows remote SSL servers to cause
a denial of service (client crash) and possibly execute arbitrary code
via a long session ticket name to the session ticket extension, which
is not properly handled when creating a ClientHello message to resume
a session.  NOTE: this identifier was SPLIT from CVE-2015-5291 per ADT3
due to different affected version ranges.

Note You need to log in before you can comment on or make changes to this bug.